dav1d 1.5.1 dav1d is an AV1 decoder |

Loading...
Searching...
No Matches
Data Fields
Dav1dDataProps Struct Reference

`#include <common.h>`

Collaboration diagram for Dav1dDataProps:
[legend]

## Data Fields
int64_t | timestamp
| container timestamp of input data, INT64_MIN if unknown (default)
int64_t | duration
| container duration of input data, 0 if unknown (default)
int64_t | offset
| stream offset of input data, -1 if unknown (default)
size_t | size
| packet size, default Dav1dData.sz
struct Dav1dUserData | user_data
| user-configurable data, default NULL members

## Detailed Description

Input packet metadata which are copied from the input data used to decode each image into the matching structure of the output image returned back to the user. Since these are metadata fields, they can be used for other purposes than the documented ones, they will still be passed from input data to output picture without being used internally.

## Field Documentation

## ◆ duration

int64_t Dav1dDataProps::duration

container duration of input data, 0 if unknown (default)

## ◆ offset

int64_t Dav1dDataProps::offset

stream offset of input data, -1 if unknown (default)

## ◆ size

size_t Dav1dDataProps::size

packet size, default Dav1dData.sz

## ◆ timestamp

int64_t Dav1dDataProps::timestamp

container timestamp of input data, INT64_MIN if unknown (default)

## ◆ user_data

struct Dav1dUserData Dav1dDataProps::user_data

user-configurable data, default NULL members

The documentation for this struct was generated from the following file:

- dav1d/common.h